#include <stdio.h>
#include <ctype.h>
#include <string.h>

main ()
{
	char infil[100], outfil[100], line[200] ;
	int epos, i ;
	double elow, ecut ;
	FILE *fin, *fout ;

	epos = 49  ;

	printf("Input file ?\n") ;
	gets(infil) ;
	fin = fopen(infil, "r") ;
	if(fin == NULL) {
		printf("Cannot open %s\n", infil) ;
		exit(0) ;
	}

	printf("Maximum lower state energy in cm-1 ?\n") ;
	gets(line) ;
	sscanf(line, "%lf", &ecut) ;
	if(ecut < 0.) {
		printf("Invalid cutoff %lf ; must be >= 0.\n", ecut) ;
		exit(0) ;
	}

	printf("Output file ?\n") ;
	gets(outfil) ;
	fout = fopen(outfil, "w") ;
	if(fout == NULL) {
		printf("Cannot open %s\n", outfil) ;
		exit(0) ;
	}

	sprintf(line, "In file = %s    Out file = %s   Ecut = %f cm-1\n",
		infil, outfil, ecut) ;
	fputs(line, fout) ;

	while(fgets(line, 200, fin) != NULL) {
		if((strlen(line) >= epos) && isdigit(line[epos-1])) {
			/* this is the real thing */
			sscanf(&line[epos], "%lf", &elow) ;
			if(elow <= ecut) {
				fputs(line, fout) ;
			}
		}
	}

	fclose(fin) ;
	fclose(fout) ;
}
