      parameter (MAXLEV=50)      ! maximum number of energy levels
      parameter (MAXTRAN=(MAXLEV-1)*MAXLEV/2)  ! max number of transitions
      integer numlev             ! actual number of levels
C
      character*10 elabel(MAXLEV)     ! label for energy level
      real*8 energy(MAXLEV)           ! energy in K
      real*8 degen(MAXLEV)            ! degeneracy of level
      real*8 acoeff(MAXTRAN)          ! Einstein A coefficients
      real*8 frequency(MAXTRAN)       ! transition frequencies
      real*8 tphoton(MAXTRAN)         ! photon energy in K
      integer linitial(MAXTRAN)       ! initial level
      integer lfinal(MAXTRAN)         ! final level
      integer numtran                 ! number of transitions
C
      common/spectrum/energy, degen, acoeff,
     +       frequency, tphoton, 
     +       linitial, lfinal, 
     +       numtran, numlev, elabel