function weiss_hot_h2o_plot
ph2o = import_spec('weiss_hot_component.p-h2o.txt') ;
oh2o = import_spec('weiss_hot_component.o-h2o.txt') ;
h2o=join_spec(oh2o,ph2o) ;
figure(1) ;
set(gca,'FontName','Helvetica')
set(gca,'FontSize',14)
plot(h2o.freq/1000/(1+3.9124),h2o.TA) ;
axis([180 320 0 35]) ;
xlabel('Frequency (GHz)') ;
ylabel('Antenna Temperature (K)') ;
title('APM 08279 redshifted H_20: Weiss et al. hot component') ;
print -depsc -r600 weiss_hot_component.h2o.ps
