      parameter(MAXIMPACT=MAXGRID+1)         ! leave room for r=0
C
      real*8 Jtot(MAXGRID, MAXTRAN)          ! total avg. intensity
      real*8 Jeff(MAXGRID, MAXTRAN)          ! corrected avg. intensity
      real*8 lamstar(MAXGRID, MAXTRAN)       ! diagonal part of lambda
      real*8 fracpop(MAXGRID, MAXLEV)        ! fractional populations
      real*8 oldpop(MAXGRID, MAXLEV)         ! frac. pop. from prev. iter.
C
      real*8 heat(MAXGRID)                   ! net heating rate
      real*8 cool(MAXGRID)                   ! net cooling rate
C
      real*8 impact(MAXIMPACT)               ! array of impact parameters
      integer nimpact                        ! number of impacts
      integer minrad(MAXIMPACT)              ! min. radius vs. impact
      integer maximp(MAXGRID)                ! max. impact vs. radius
      real*8 angcos(MAXIMPACT,MAXGRID)       ! cosine theta
      real*8 angwgt(MAXIMPACT,MAXGRID)       ! weights for angular integ.
      real*8 dshell(MAXIMPACT,MAXGRID)       ! pathlengths thru shells
C
      real*8 xinteg(2*MAXVEL)                ! integration abscissas and
      real*8 winteg(2*MAXVEL)                ! weights for Gauss-hermite
C
      common/transfer/
     +                  Jtot,
     +                  Jeff,
     +               lamstar,
     +               fracpop,
     +                oldpop,
     +                impact,
     +                angwgt,
     +                dshell,
     +                xinteg,
     +                winteg,
     +                angcos,
     +                  heat,
     +                  cool,
     +               nimpact,
     +                minrad,
     +                maximp
