#!/opt/bin/perl
#
open(LF, "hdo_lev.txt") ;

$nlev = 0 ;

while(<LF>){
    $nlev++ ;
#
#   get rid of parens, commas
#
#    $line = $_ ;
    s/\(/ /g ;  
    s/\)/ /g ;
    s/,/ /g ;
    ($j[$nlev], $km[$nlev], $kp[$nlev]) = split ;
#    print "$nlev  $j[$nlev], $km[$nlev], $kp[$nlev]  ", $line ;
}
close(LF) ;

open(CR, "hdo.coll.raw") ;
open(OUT, ">hdo.collrates") ;

while(<CR>) {
    if( /\(/ ){
        s/ - // ;
        $levs = substr($_, 0, 18) ;
        $_ = substr($_, 18) ;
#
# replace exponents in parentheses by FORTRAN E notation
# 
        s/\(/E/g ;
	s/\)/ /g ;
        $rates = $_ ;
#
# now get initial, final level quantum numbers
#
        $_ = $levs ;
#
# first, eliminate parens, commas, etc.
#
        s/\(/ /g ;  
        s/\)/ /g ;
        s/,/ /g ;
#
        ($ji, $kmi, $kpi, $jf, $kmf, $kpf) = split ;
#         print "$ji, $kmi, $kpi  to  $jf, $kmf, $kpf *&*", $rates ;
#        print $levs, "*&*", $rates ;
#
# Now look up which level these are
#
        $initial = -1 ;
        $final = -1 ;
	for($ilev=1; $ilev <= $nlev ; $ilev++) {
          if($ji==$j[$ilev] && $kmi==$km[$ilev] && $kpi==$kp[$ilev]) {
	      $initial = $ilev ;
          }
          if($jf==$j[$ilev] && $kmf==$km[$ilev] && $kpf==$kp[$ilev]) {
	      $final = $ilev ;
          } 
        }
        print OUT "$initial  $final  ", $rates ; 
    }
}

close(CR) ;
close(OUT) ;
