      parameter(MAXIMPACT=MAXGRID+1)         ! leave room for r=0
C
      real*4 Jtot(MAXGRID, MAXTRAN)          ! total avg. intensity
      real*4 Jeff(MAXGRID, MAXTRAN)          ! corrected avg. intensity
      real*4 lamstar(MAXGRID, MAXTRAN)       ! diagonal part of lambda
      real*4 fracpop(MAXGRID, MAXLEV)        ! fractional populations
      real*4 oldpop(MAXGRID, MAXLEV)         ! frac. pop. from prev. iter.
C
      real*8 heat(MAXGRID)                   ! net heating rate
      real*8 cool(MAXGRID)                   ! net cooling rate
C
      real*8 impact(MAXIMPACT)              ! array of impact parameters
      integer nimpact                        ! number of impacts
      integer minrad(MAXIMPACT)              ! min. radius vs. impact
      integer maximp(MAXGRID)                ! max. impact vs. radius
      real*4 angcos(MAXIMPACT,MAXGRID)       ! cosine theta
      real*4 angwgt(MAXIMPACT,MAXGRID)       ! weights for angular integ.
      real*4 dshell(MAXIMPACT,MAXGRID)       ! pathlengths thru shells
C
      real*4 xinteg(2*MAXVEL)                ! integration abscissas and
      real*4 winteg(2*MAXVEL)                ! weights for Gauss-hermite
C
      common/transfer/
     +                  Jtot,
     +                  Jeff,
     +               lamstar,
     +               fracpop,
     +                oldpop,
     +                impact,
     +               nimpact,
     +                minrad,
     +                maximp,
     +                angwgt,
     +                dshell,
     +                xinteg,
     +                winteg,
     +                angcos,
     +                  heat,
     +                  cool
