      parameter(MAXIMPACT=MAXGRID+1)         ! leave room for r=0
      parameter(MAXS=MAXGRID)                ! max. points per dimension
C                                            ! for spatial integration
      parameter(MAXOBS=200)                   ! max. number of observations
C
      real*8 spectrum
      real*4 fracpop(MAXGRID, MAXLEV)        ! fractional populations
C
      integer numobs                         ! number of observations
      integer transnum(MAXOBS)               ! transition number
      real*8 beamsize(MAXOBS)                ! beam FWHM, in rscalecm units
      real*8 beamoffs(MAXOBS)                ! beam offset from cloud center
C
      real*8 velmin, velmax, velstep         ! velocity grid
C
      common/transfer/
     +              spectrum,
     +               fracpop,
     +                numobs,
     +                 levup,
     +                levlow,
     +              transnum,
     +              beamsize,
     +              beamoffs,
     +                velmin,
     +                velmax,
     +               velstep
